# Copyright 2006 - 20013,  Josef Leibinger

# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted, provided that the above
# copyright notice appear in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

# Name :          
# Description :   
# Author :        Josef Leibinger
# Usage :         
# Date :          2014.04.08
# Type :          Soap Skin & Bubble Tool
# History:        1.0.19
# Version Prfen
require 'sketchup.rb' 
Sketchup::require 'SoapSkinBubble/generateSoapSkinBubble'
module SoapSkinBubble        
    if (not file_loaded?("SoapSkinBubble/SoapSkinBubbleMenus.rb"))
        #-----------------------------------------------------------------------------------------
        sbToolbar = UI::Toolbar.new("Soap Bubble")
        sbCmd01 = UI::Command.new("Generate Soap Skin") {(Sketchup.active_model.select_tool Tool_GenerateSoapSkin.new)}
        sbCmd01.small_icon = "Images/GenerateSoapSkinSmall.png"
        sbCmd01.large_icon = "Images/GenerateSoapSkinLarge.png"
        sbCmd01.tooltip = "Generate Soap Skin"
        sbToolbar.add_item(sbCmd01)
        sbCmd02 = UI::Command.new("Edit Soap Skin Ratio") {(Sketchup.active_model.select_tool Tool_EditSoapSkinRatio.new)}
        sbCmd02.small_icon = "Images/EditSoapSkinRatioSmall.png"
        sbCmd02.large_icon = "Images/EditSoapSkinRatioLarge.png"
        sbCmd02.tooltip = "Edit Soap Skin Ratio"
        sbToolbar.add_item(sbCmd02)
        sbCmd03 = UI::Command.new(("Generate Soap Bubble")) {(Sketchup.active_model.select_tool Tool_GenerateSoapBubble.new)}
        sbCmd03.small_icon = "Images/GenerateSoapBubbleSmall.png"
        sbCmd03.large_icon = "Images/GenerateSoapBubbleLarge.png"
        sbCmd03.tooltip = "Generate SoapBubble"
        sbToolbar.add_item(sbCmd03)
            
        sbCmd04 = UI::Command.new(("FreeForm Finding")) {(Sketchup.active_model.select_tool Tool_FormFinding.new)}
        sbCmd04.small_icon = "Images/FormFindingStartSmall.png"
        sbCmd04.large_icon = "Images/FormFindingStartLarge.png"
        sbCmd04.tooltip = "Restart FormFinding"
        sbToolbar.add_item(sbCmd04)
        sbCmd05 = UI::Command.new(("Stop Animation")) { (Sketchup.active_model.active_view.animation = nil) }
        sbCmd05.small_icon = "Images/FormFindingStopSmall.png"
        sbCmd05.large_icon = "Images/FormFindingStopLarge.png"
        sbCmd05.tooltip = "Stop Animation"
        sbToolbar.add_item(sbCmd05)
            
        sbCmd06 = UI::Command.new(("Soap Skin & Bubble Help")) { (soapSkinBubbleHelp) }
        sbCmd06.small_icon = "Images/SoapSkinBubbleHelpSmall.png"
        sbCmd06.large_icon = "Images/SoapSkinBubbleHelpLarge.png"
        sbCmd06.tooltip = "Soap Skin & Bubble Help"
        sbToolbar.add_item(sbCmd06)
        sbToolbar.show
    end
    #-----------------------------------------------------------------------------
    file_loaded("SoapSkinBubble/SoapSkinBubbleMenus.rb")
end